#include <AFMotor.h>
#include <Servo.h>              // Add library
Servo servo; 
AF_DCMotor right_motor(1, MOTOR12_8KHZ);
AF_DCMotor left_motor(2, MOTOR12_8KHZ);

String readString;

void setup() {
  Serial.begin(9600);
  right_motor.setSpeed(150);
  left_motor.setSpeed(150);
  servo.attach (10); 
}

void loop() {
  while(Serial.available()){
    delay(50);
    char c=Serial.read();
    readString+=c;
  }
  if(readString.length()>0){
    Serial.println(readString);
    if (readString =="FORWARD"){
      
      left_motor.run (BACKWARD);
      right_motor.run (RELEASE);

      servo.write(180);
      
    }
    if (readString =="BACKWARD"){
      right_motor.run (FORWARD);
      left_motor.run (RELEASE);

      servo.write(90);
     
      
    }
    if (readString =="LEFT"){
      right_motor.run (FORWARD);
      left_motor.run (BACKWARD);

      servo.write(10);
      
    }
    if (readString =="RIGHT"){
      right_motor.run (BACKWARD);
      left_motor.run (FORWARD);
      
      servo.write(270);
      
    }
    if (readString =="STOP"){
      right_motor.run (RELEASE);
      left_motor.run (RELEASE);
      
    }

    readString="";
  } 
}
